Bug 822009 - Latest yum throws a lot of tracebacks when downloading metadata.
Latest yum throws a lot of tracebacks when downloading metadata.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-16 01:04 EDT by Ricky Elrod
Modified: 2014-01-21 18:21 EST (History)
5 users (show)

See Also:
Fixed In Version: yum-3.4.3-26.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-16 05:10:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ricky Elrod 2012-05-16 01:04:55 EDT
Description of problem:

Latest Yum is throwing a bunch of tracebacks, one for every repo enabled.

Version-Release number of selected component (if applicable):

[root@t520 hosted]# yum --version
3.4.3
  Installed: rpm-4.10.0-0.beta1.1.fc18.x86_64 at 2012-04-25 13:32
  Built    : Fedora Project at 2012-04-23 10:41
  Committed: Panu Matilainen <pmatilai@redhat.com> at 2012-04-23

  Installed: yum-3.4.3-25.fc18.noarch at 2012-05-16 01:08
  Built    : Fedora Project at 2012-05-14 08:59
  Committed: Zdenek Pavlas <zpavlas at redhat.com> at 2012-05-14


How reproducible:
Reproduced on two separate rawhide boxes.


Steps to Reproduce:
1. yum clean all
2. yum [any action that will download metadata, e.g. "search termcolor"].


Actual results:
[ricky@t520 hosted]$ yum clean all
Loaded plugins: langpacks, presto, refresh-packagekit
Cleaning repos: adobe-linux-x86_64 google-chrome google-talkplugin jenkins rawhide typesafe
Cleaning up Everything
Cannot remove rpmdb file /var/lib/yum/rpmdb-indexes/pkgtups-checksums
Cannot remove rpmdb file /var/lib/yum/rpmdb-indexes/version
Cannot remove rpmdb file /var/lib/yum/rpmdb-indexes/conflicts
Cannot remove rpmdb file /var/lib/yum/rpmdb-indexes/file-requires
No delta-package files removed by presto

[ricky@t520 hosted]$ yum search termcolor
Loaded plugins: langpacks, presto, refresh-packagekit
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 321, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 146, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 485, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 1392, in doCommand
    return base.search(extcmds)
  File "/usr/share/yum-cli/cli.py", line 1284, in search
    for (po, keys, matched_value) in matching:
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 2846, in searchGenerator
    for sack in self.pkgSack.sacks.values():
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1012, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 776, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 299, in populateSack
    self.doSetup()
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 126, in doSetup
    self.ayum.plugins.run('postreposetup')
  File "/usr/lib/python2.7/site-packages/yum/plugins.py", line 187, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/langpacks.py", line 72, in postreposetup_hook
    infile = repo.getGroups()
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1736, in getGroups
    if 'group_gz' in self.repoXML.fileTypes():
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1537, in <lambda>
    repoXML = property(fget=lambda self: self._getRepoXML(),
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1533, in _getRepoXML
    self._loadRepoXML(text=self)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1524, in _loadRepoXML
    return self._groupLoadRepoXML(text, self._mdpolicy2mdtypes())
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1498, in _groupLoadRepoXML
    if self._commonLoadRepoXML(text):
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1330, in _commonLoadRepoXML
    result = self._getFileRepoXML(local, text)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1092, in _getFileRepoXML
    import traceback; traceback.print_stack()
adobe-linux-x86_64                                                                                                                                                                          |  951 B     00:00     
adobe-linux-x86_64/primary                                                                                                                                                                  | 1.2 kB     00:00     
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 321, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 146, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 485, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 1392, in doCommand
    return base.search(extcmds)
  File "/usr/share/yum-cli/cli.py", line 1284, in search
    for (po, keys, matched_value) in matching:
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 2846, in searchGenerator
    for sack in self.pkgSack.sacks.values():
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1012, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 776, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 299, in populateSack
    self.doSetup()
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 126, in doSetup
    self.ayum.plugins.run('postreposetup')
  File "/usr/lib/python2.7/site-packages/yum/plugins.py", line 187, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/langpacks.py", line 72, in postreposetup_hook
    infile = repo.getGroups()
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1736, in getGroups
    if 'group_gz' in self.repoXML.fileTypes():
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1537, in <lambda>
    repoXML = property(fget=lambda self: self._getRepoXML(),
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1533, in _getRepoXML
    self._loadRepoXML(text=self)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1524, in _loadRepoXML
    return self._groupLoadRepoXML(text, self._mdpolicy2mdtypes())
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1498, in _groupLoadRepoXML
    if self._commonLoadRepoXML(text):
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1330, in _commonLoadRepoXML
    result = self._getFileRepoXML(local, text)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1092, in _getFileRepoXML
    import traceback; traceback.print_stack()
google-chrome                                                                                                                                                                               |  951 B     00:00     
google-chrome/primary                                                                                                                                                                       | 1.4 kB     00:00     
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 321, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 146, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 485, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 1392, in doCommand
    return base.search(extcmds)
  File "/usr/share/yum-cli/cli.py", line 1284, in search
    for (po, keys, matched_value) in matching:
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 2846, in searchGenerator
    for sack in self.pkgSack.sacks.values():
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1012, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 776, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 299, in populateSack
    self.doSetup()
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 126, in doSetup
    self.ayum.plugins.run('postreposetup')
  File "/usr/lib/python2.7/site-packages/yum/plugins.py", line 187, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/langpacks.py", line 72, in postreposetup_hook
    infile = repo.getGroups()
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1736, in getGroups
    if 'group_gz' in self.repoXML.fileTypes():
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1537, in <lambda>
    repoXML = property(fget=lambda self: self._getRepoXML(),
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1533, in _getRepoXML
    self._loadRepoXML(text=self)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1524, in _loadRepoXML
    return self._groupLoadRepoXML(text, self._mdpolicy2mdtypes())
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1498, in _groupLoadRepoXML
    if self._commonLoadRepoXML(text):
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1330, in _commonLoadRepoXML
    result = self._getFileRepoXML(local, text)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1092, in _getFileRepoXML
    import traceback; traceback.print_stack()
google-talkplugin                                                                                                                                                                           |  951 B     00:00     
google-talkplugin/primary                                                                                                                                                                   | 1.5 kB     00:00     
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 321, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 146, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 485, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 1392, in doCommand
    return base.search(extcmds)
  File "/usr/share/yum-cli/cli.py", line 1284, in search
    for (po, keys, matched_value) in matching:
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 2846, in searchGenerator
    for sack in self.pkgSack.sacks.values():
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1012, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 776, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 299, in populateSack
    self.doSetup()
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 126, in doSetup
    self.ayum.plugins.run('postreposetup')
  File "/usr/lib/python2.7/site-packages/yum/plugins.py", line 187, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/langpacks.py", line 72, in postreposetup_hook
    infile = repo.getGroups()
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1736, in getGroups
    if 'group_gz' in self.repoXML.fileTypes():
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1537, in <lambda>
    repoXML = property(fget=lambda self: self._getRepoXML(),
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1533, in _getRepoXML
    self._loadRepoXML(text=self)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1524, in _loadRepoXML
    return self._groupLoadRepoXML(text, self._mdpolicy2mdtypes())
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1498, in _groupLoadRepoXML
    if self._commonLoadRepoXML(text):
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1330, in _commonLoadRepoXML
    result = self._getFileRepoXML(local, text)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1092, in _getFileRepoXML
    import traceback; traceback.print_stack()
jenkins                                                                                                                                                                                     |  951 B     00:00     
jenkins/primary                                                                                                                                                                             |  15 kB     00:00     
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 321, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 146, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 485, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 1392, in doCommand
    return base.search(extcmds)
  File "/usr/share/yum-cli/cli.py", line 1284, in search
    for (po, keys, matched_value) in matching:
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 2846, in searchGenerator
    for sack in self.pkgSack.sacks.values():
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1012, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 776, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 299, in populateSack
    self.doSetup()
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 126, in doSetup
    self.ayum.plugins.run('postreposetup')
  File "/usr/lib/python2.7/site-packages/yum/plugins.py", line 187, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/langpacks.py", line 72, in postreposetup_hook
    infile = repo.getGroups()
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1736, in getGroups
    if 'group_gz' in self.repoXML.fileTypes():
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1537, in <lambda>
    repoXML = property(fget=lambda self: self._getRepoXML(),
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1533, in _getRepoXML
    self._loadRepoXML(text=self)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1524, in _loadRepoXML
    return self._groupLoadRepoXML(text, self._mdpolicy2mdtypes())
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1498, in _groupLoadRepoXML
    if self._commonLoadRepoXML(text):
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1330, in _commonLoadRepoXML
    result = self._getFileRepoXML(local, text)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1092, in _getFileRepoXML
    import traceback; traceback.print_stack()
rawhide/metalink                                                                                                                                                                            |  12 kB     00:00     
rawhide                                                                                                                                                                                     | 4.2 kB     00:00     
rawhide/primary_db                                                                                                                                                                          |  14 MB     00:19     
rawhide/group_gz                                                                                                                                                                            | 382 kB     00:01     
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 321, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 146, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 485, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 1392, in doCommand
    return base.search(extcmds)
  File "/usr/share/yum-cli/cli.py", line 1284, in search
    for (po, keys, matched_value) in matching:
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 2846, in searchGenerator
    for sack in self.pkgSack.sacks.values():
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1012, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 776, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 299, in populateSack
    self.doSetup()
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 126, in doSetup
    self.ayum.plugins.run('postreposetup')
  File "/usr/lib/python2.7/site-packages/yum/plugins.py", line 187, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/langpacks.py", line 72, in postreposetup_hook
    infile = repo.getGroups()
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1736, in getGroups
    if 'group_gz' in self.repoXML.fileTypes():
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1537, in <lambda>
    repoXML = property(fget=lambda self: self._getRepoXML(),
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1533, in _getRepoXML
    self._loadRepoXML(text=self)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1524, in _loadRepoXML
    return self._groupLoadRepoXML(text, self._mdpolicy2mdtypes())
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1498, in _groupLoadRepoXML
    if self._commonLoadRepoXML(text):
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1330, in _commonLoadRepoXML
    result = self._getFileRepoXML(local, text)
  File "/usr/lib/python2.7/site-packages/yum/yumRepo.py", line 1092, in _getFileRepoXML
    import traceback; traceback.print_stack()
typesafe                                                                                                                                                                                    | 1.9 kB     00:00     
typesafe/primary_db                                                                                                                                                                         | 3.6 kB     00:00     
adobe-linux-x86_64                                                                                                                                                                                             2/2
google-chrome                                                                                                                                                                                                  3/3
google-talkplugin                                                                                                                                                                                              1/1
jenkins                                                                                                                                                                                                    137/137
Warning: No matches found for: termcolor
No Matches found


Expected results:

The same output sans tracebacks.

Additional info:

Broke on latest set of updates (I ran `yum update` earlier tonight, that's when it broke).
Comment 1 Zdeněk Pavlas 2012-05-16 03:20:27 EDT
OMG, Seems I updated to HEAD of a wrong branch :(

Note You need to log in before you can comment on or make changes to this bug.